Subject: Re: git-svn stubbornly re-creating branch "master"

From: Marcin Owsiany <[email-masked]>
Date: Sun, 14 Jun 2009 16:52:05 +0100

On Sat, Jun 06, 2009 at 11:55:01AM +0100, Marcin Owsiany wrote:
> This discussion seems to have stalled...
> 
> On Fri, Apr 03, 2009 at 12:57:52PM +0200, Mikael Magnusson wrote:
> > 2009/3/29 Dmitry Potapov <[email-masked]>:
> > > On Sun, Mar 29, 2009 at 18:13:47 +0100, Marcin Owsiany
> > > <[email-masked]> wrote:
> > >>
> > >> As you can see, "master" sprang back to life after the last command.
> > >
> > > It looks like git-svn does not like a repo without 'master'. It seems
> > > the problem was caused by this patch:
> > > http://git.kernel.org/?p=git/git.git;a=commit;h=1e889ef36c45b5554f7e317493ed3f4f901f8d9f
> > >
> > > I have added Eric to CC...
> > 
> > Why not just check if HEAD points to a valid commit, rather than
> > master? It should do the same
> > in the newly created repo case, and stop annoying people on updates.
> 
> There seems to be agreement that while conventions are nice, git should
> not force branch names on people. Can someone implement Mikael's
> suggestion?

[silence]

OK, a different question, then: if I wrote a patch to implement the
behaviour described by Mikael, would you consider including it?

-- 
Marcin Owsiany <[email-masked]>              http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216  FE67 DA2D 0ACA FC5E 3F75  D6F6 3A0D 8AA0 60F4 1216
 
"Every program in development at MIT expands until it can read mail."
                                                              -- Unknown